
From: Adrian Bunk <bunk@stusta.de>

This patch removes some unused #ifdef USE_OLD_SLOW_DIRECTORY_LISTING 
code.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ncpfs/dir.c           |   13 -------------
 fs/ncpfs/ncplib_kernel.c |   40 ----------------------------------------
 fs/ncpfs/ncplib_kernel.h |    3 ---
 3 files changed, 56 deletions(-)

diff -puN fs/ncpfs/dir.c~fs-ncpfs-remove-unused-ifdef-use_old_slow_directory_listing-code fs/ncpfs/dir.c
--- 25/fs/ncpfs/dir.c~fs-ncpfs-remove-unused-ifdef-use_old_slow_directory_listing-code	Mon May  2 16:23:21 2005
+++ 25-akpm/fs/ncpfs/dir.c	Mon May  2 16:23:21 2005
@@ -705,18 +705,6 @@ ncp_do_readdir(struct file *filp, void *
 		DPRINTK("ncp_do_readdir: init failed, err=%d\n", err);
 		return;
 	}
-#ifdef USE_OLD_SLOW_DIRECTORY_LISTING
-	for (;;) {
-		err = ncp_search_for_file_or_subdir(server, &seq, &entry.i);
-		if (err) {
-			DPRINTK("ncp_do_readdir: search failed, err=%d\n", err);
-			break;
-		}
-		entry.volume = entry.i.volNumber;
-		if (!ncp_fill_cache(filp, dirent, filldir, ctl, &entry))
-			break;
-	}
-#else
 	/* We MUST NOT use server->buffer_size handshaked with server if we are
 	   using UDP, as for UDP server uses max. buffer size determined by
 	   MTU, and for TCP server uses hardwired value 65KB (== 66560 bytes). 
@@ -754,7 +742,6 @@ ncp_do_readdir(struct file *filp, void *
 		}
 	} while (more);
 	vfree(buf);
-#endif
 	return;
 }
 
diff -puN fs/ncpfs/ncplib_kernel.c~fs-ncpfs-remove-unused-ifdef-use_old_slow_directory_listing-code fs/ncpfs/ncplib_kernel.c
--- 25/fs/ncpfs/ncplib_kernel.c~fs-ncpfs-remove-unused-ifdef-use_old_slow_directory_listing-code	Mon May  2 16:23:21 2005
+++ 25-akpm/fs/ncpfs/ncplib_kernel.c	Mon May  2 16:23:21 2005
@@ -845,46 +845,6 @@ out:
 	return result;
 }
 
-/* Search for everything */
-int ncp_search_for_file_or_subdir(struct ncp_server *server,
-				  struct nw_search_sequence *seq,
-				  struct nw_info_struct *target)
-{
-	int result;
-
-	ncp_init_request(server);
-	ncp_add_byte(server, 3);	/* subfunction */
-	ncp_add_byte(server, server->name_space[seq->volNumber]);
-	ncp_add_byte(server, 0);	/* data stream (???) */
-	ncp_add_word(server, cpu_to_le16(0x8006));	/* Search attribs */
-	ncp_add_dword(server, RIM_ALL);		/* return info mask */
-	ncp_add_mem(server, seq, 9);
-#ifdef CONFIG_NCPFS_NFS_NS
-	if (server->name_space[seq->volNumber] == NW_NS_NFS) {
-		ncp_add_byte(server, 0);	/* 0 byte pattern */
-	} else 
-#endif
-	{
-		ncp_add_byte(server, 2);	/* 2 byte pattern */
-		ncp_add_byte(server, 0xff);	/* following is a wildcard */
-		ncp_add_byte(server, '*');
-	}
-	
-	if ((result = ncp_request(server, 87)) != 0)
-		goto out;
-	memcpy(seq, ncp_reply_data(server, 0), sizeof(*seq));
-	ncp_extract_file_info(ncp_reply_data(server, 10), target);
-
-	ncp_unlock_server(server);
-	
-	result = ncp_obtain_nfs_info(server, target);
-	return result;
-
-out:
-	ncp_unlock_server(server);
-	return result;
-}
-
 int ncp_search_for_fileset(struct ncp_server *server,
 			   struct nw_search_sequence *seq,
 			   int* more,
diff -puN fs/ncpfs/ncplib_kernel.h~fs-ncpfs-remove-unused-ifdef-use_old_slow_directory_listing-code fs/ncpfs/ncplib_kernel.h
--- 25/fs/ncpfs/ncplib_kernel.h~fs-ncpfs-remove-unused-ifdef-use_old_slow_directory_listing-code	Mon May  2 16:23:21 2005
+++ 25-akpm/fs/ncpfs/ncplib_kernel.h	Mon May  2 16:23:21 2005
@@ -87,9 +87,6 @@ int ncp_open_create_file_or_subdir(struc
 
 int ncp_initialize_search(struct ncp_server *, struct inode *,
 		      struct nw_search_sequence *target);
-int ncp_search_for_file_or_subdir(struct ncp_server *server,
-			      struct nw_search_sequence *seq,
-			      struct nw_info_struct *target);
 int ncp_search_for_fileset(struct ncp_server *server,
 			   struct nw_search_sequence *seq,
 			   int* more, int* cnt,
_
